GraphDatabaseFactory (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.graphdb.factory
Class GraphDatabaseFactory

    java.lang.Object
      org.neo4j.graphdb.factory.GraphDatabaseFactory

    public class GraphDatabaseFactory

extends Object

Creates a `GraphDatabaseService`.

Field Summary
`protected List<org.neo4j.kernel.impl.cache.CacheProvider>` | `cacheProviders`
`protected List<IndexProvider>` | `indexProviders`
`protected List<KernelExtension>` | `kernelExtensions`

Constructor Summary
`GraphDatabaseFactory()`

Method Summary
`Iterable<IndexProvider>` | `getIndexProviders()`
`Iterable<KernelExtension>` | `getKernelExtension()`
`GraphDatabaseService` | `newEmbeddedDatabase(String path)`
`GraphDatabaseBuilder` | `newEmbeddedDatabaseBuilder(String path)`
`void` | `setCacheProviders(Iterable<org.neo4j.kernel.impl.cache.CacheProvider> newCacheProviders)`
`void` | `setIndexProviders(IndexIterable indexIterable)` Sets an `IndexProvider` iterable source.
`void` | `setKernelExtensions(Iterable<KernelExtension> newKernelExtensions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### indexProviders

    protected List<IndexProvider> indexProviders

### kernelExtensions

    protected List<KernelExtension> kernelExtensions

### cacheProviders

    protected List<org.neo4j.kernel.impl.cache.CacheProvider> cacheProviders

Constructor Detail

### GraphDatabaseFactory

    public GraphDatabaseFactory()

Method Detail

### newEmbeddedDatabase

    public GraphDatabaseService newEmbeddedDatabase(String path)

### newEmbeddedDatabaseBuilder

    public GraphDatabaseBuilder newEmbeddedDatabaseBuilder(String path)

### getIndexProviders

    public Iterable<IndexProvider> getIndexProviders()

### setIndexProviders

    public void setIndexProviders(IndexIterable indexIterable)

  Sets an `IndexProvider` iterable source. `ListIndexIterable` is a flexible provider that works well with dependency injection.

  Parameters:
    `indexIterable` - It's actually Iterable, but internally typecasted to workaround bug https://issues.apache.org/jira/browse/ARIES-834 .

### getKernelExtension

    public Iterable<KernelExtension> getKernelExtension()

### setKernelExtensions

    public void setKernelExtensions(Iterable<KernelExtension> newKernelExtensions)

### setCacheProviders

    public void setCacheProviders(Iterable<org.neo4j.kernel.impl.cache.CacheProvider> newCacheProviders)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.